Skip to main content

Create a New Quality Task

Create a new quality task for a dataset. The request body must contain a valid QualityTask object. Returns the created QualityTask with its assigned ID.

Request Body — REQUIRED

QualityTask object to create.

tbd string
dqDimension string

Possible values: [accuracy, validity, completeness, comprehensive, uniqueness, consistency, freshness, cardinality, coverage, diversity]

json string
version string
active boolean
assetCreatedDate date-time
assetUpdatedDate date-time
createdTime int64
updatedTime int64
createdBy string
updatedBy string
owner string
tags string[]
id int32
name string
description string
datasetId string
columns string
successMsg string
failureMsg string
onboardingStatus string

Possible values: [drafted, deployed, paused, under_review, approved]

executionStatus string

Possible values: [passing, failing, pending]

criticalityLevel string

Possible values: [high, moderate, less, not]

Responses
201

Quality task created successfully.

Schema — OPTIONAL
tbd string — OPTIONAL
dqDimension string — OPTIONAL

Possible values: [accuracy, validity, completeness, comprehensive, uniqueness, consistency, freshness, cardinality, coverage, diversity]

json string — OPTIONAL
version string — OPTIONAL
active boolean — OPTIONAL
assetCreatedDate date-time — OPTIONAL
assetUpdatedDate date-time — OPTIONAL
createdTime int64 — OPTIONAL
updatedTime int64 — OPTIONAL
createdBy string — OPTIONAL
updatedBy string — OPTIONAL
owner string — OPTIONAL
tags string[] — OPTIONAL
id int32 — OPTIONAL
name string — OPTIONAL
description string — OPTIONAL
datasetId string — OPTIONAL
columns string — OPTIONAL
successMsg string — OPTIONAL
failureMsg string — OPTIONAL
onboardingStatus string — OPTIONAL

Possible values: [drafted, deployed, paused, under_review, approved]

executionStatus string — OPTIONAL

Possible values: [passing, failing, pending]

criticalityLevel string — OPTIONAL

Possible values: [high, moderate, less, not]

400

Malformed request or missing required fields.

401

Unauthorized access.

409

A quality task with the same name already exists for the dataset.